<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png">
    <div id="container">
      <h2>Vue.js WebSocket handler</h2>
      <on-click configuration-id="12157482-c72b-45f0-a1ee-221bbcecad85" :on-open="onOpen">
        <button onclick="alert('To be shown')">Stop Propagation: false</button>
      </on-click>
      <br>
      <on-click configuration-id="2defad22-27df-4754-9701-7d0d11073d4c" :stop-propagation="stopPropagation">
        <button onclick="alert('Not to be shown')">Stop Propagation: true</button>
      </on-click>
      <br>
      <on-submit type="utterance">
        <form>
          <input type="text">
          <input type="submit">
        </form>
      </on-submit>
    </div>
  </div>
</template>

<script>
import OnClick from './vue-mmcc/OnClick';
import OnSubmit from './vue-mmcc/OnSubmit';

export default {
  name: 'App',
  components: {
    OnClick,
    OnSubmit,
  },
  data: function () {
    return {
      stopPropagation: true,
      onOpen: () => console.log('test: onOpen prop!'),
    }
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
#container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
</style>
